2.3.15 SBF question

Discussion in 'Droid X Hacks' started by Skeemask, Oct 4, 2010.

  1. Skeemask

    Skeemask Member

    Joined:
    Aug 30, 2010
    Messages:
    30
    Likes Received:
    0
    Trophy Points:
    6
    Location:
    Portsmouth, VA
    Ratings:
    +0
    I know it's probably been asked a few dozen times in different places by different people, but I've yet to see a straight answer.

    From the OTA 2.2 update, is it safe to flash the 2.3.15 SBF that's floating around?
     
  2. bcals0087

    bcals0087 Member

    Joined:
    Jul 24, 2010
    Messages:
    206
    Likes Received:
    0
    Trophy Points:
    16
    Ratings:
    +0
    Yes it is ive used it a few times myself
     
  3. Jackzor

    Jackzor New Member

    Joined:
    Oct 2, 2010
    Messages:
    18
    Likes Received:
    0
    Trophy Points:
    1
    Ratings:
    +0
    Does that mean if I brick my Official 2.2 I can flash to the leaked THEN 2.1?

    That would be GREAT
     
  4. bcals0087

    bcals0087 Member

    Joined:
    Jul 24, 2010
    Messages:
    206
    Likes Received:
    0
    Trophy Points:
    16
    Ratings:
    +0
    No because the 2.2 is not a full sbf. It doesnt include the kernal and baseband like the 2.1 sbf does. So if you upgraded to 2.2 you changed your kernal baseband and bootloader code which is different from 2.1 so therefore if you try to flash the 2.1 sbf you end up with a brick.
     
  5. Skeemask

    Skeemask Member

    Joined:
    Aug 30, 2010
    Messages:
    30
    Likes Received:
    0
    Trophy Points:
    6
    Location:
    Portsmouth, VA
    Ratings:
    +0
    If you're on 2.2, the only thing you can flash is another 2.2 SBF.

    Next question: Are all 2.2 SBF's compatible with OTA, or just the 2.3.13, or 2.3.15 or both?

    I've read mixed reviews about the 2.3.13, and as far as I can tell, it's unanimous that the 2.3.15 works.
     
  6. bcals0087

    bcals0087 Member

    Joined:
    Jul 24, 2010
    Messages:
    206
    Likes Received:
    0
    Trophy Points:
    16
    Ratings:
    +0
    All of them do, there not real sbf's. All they are is the /system folder formatted to an sbf file. Thats why you can flash the r2d2 2.4, or any of these Roms for that matter. Every single one of them has the 2.2 kernal, so therefore it does not matter which one you use. I had ota and effed up theming, and flashed the TBH sbf that they released. OTA is 2.3.15. This sbf brought me to 2.3.13. It doesn't matter, I then flashed 928Droid's back to stock 2.3.15 update.zip to get my software version back to .15. So it doesn't matter at all which one you use, as long as your on 2.2. Just don't flash 2.1 when your on 2.2. That is the ONLY thing that matters.
     
  7. Backnblack

    Backnblack Premium Member
    Premium Member

    Joined:
    Nov 18, 2009
    Messages:
    11,261
    Likes Received:
    24
    Trophy Points:
    453
    Ratings:
    +24
    Current Phone Model:
    iPhone 7+ 256gb
    That's an understatement....If you do, your X will be bricked till a full 2.2sbf is out.
     
  8. Skeemask

    Skeemask Member

    Joined:
    Aug 30, 2010
    Messages:
    30
    Likes Received:
    0
    Trophy Points:
    6
    Location:
    Portsmouth, VA
    Ratings:
    +0
    Thanks for the quick replys. I knew the bit about there not being full SBF's out (yet?) but wasn't sure if some of the earlier leaks (post 2.2) would negatively effect the phone, or if all were compatible.

    So the answer if anyone else is looking is NO 2.1, but any 2.2 SBF works to start getting everything back up and running if we mess up after taking the OTA.
     
  9. bcals0087

    bcals0087 Member

    Joined:
    Jul 24, 2010
    Messages:
    206
    Likes Received:
    0
    Trophy Points:
    16
    Ratings:
    +0
    you got it :)
     
  10. spider210

    spider210 Member

    Joined:
    Sep 12, 2010
    Messages:
    292
    Likes Received:
    1
    Trophy Points:
    18
    Ratings:
    +1
    So question if you have the 2.3.9 rooted and want the 2.3.15 is there a way to update to the leaked 2.3.15 and keep the root???

    Is it going to be the same way I got the 2.3.9 download the update.zip and apply???

    Sent from my DROIDX using Tapatalk
     
  11. bcals0087

    bcals0087 Member

    Joined:
    Jul 24, 2010
    Messages:
    206
    Likes Received:
    0
    Trophy Points:
    16
    Ratings:
    +0
    2.3.15 is the OTA, therefore the kernal has been updated. If you have the leak, you have the old kernal. If you want the 2.3.15 leak with the 2.1 kernal, you can head over to mydroidworld.com and see if you find something over there to your liking. You should be able to keep root if you follow the directions correctly.
     
  12. kman79

    kman79 Member

    Joined:
    Nov 27, 2009
    Messages:
    82
    Likes Received:
    0
    Trophy Points:
    6
    Ratings:
    +0
    Quick question, 928Droid's 2.3.15 update.zip, is that the official OTA? Do I need Koush's Bootstrap to use it, or can I use the stock Recovery to install the update.zip?

    I'm currently on official OTA 2.3.15, and I'm looking for an official OTA 2.3.15 update.zip file that I can use that would return the phone back to absolute stock with zero third party bootloaders or hacks, would 928Droid's stock 2.3.15 be what I'm looking for?

    If you're wondering, I'd like to use some themes, but would really like to be able to put the phone back to legitimately stock/official if need be, that's why I was inquiring about 928Droid's stock OTA. Thanks
     
Search tags for this page

is there any sbf i can reload over the 2.2